This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 169033 - Show project details along with some dynamic content
Summary: Show project details along with some dynamic content
Status: VERIFIED FIXED
Alias: None
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Petr Dvorak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-23 12:38 UTC by Petr Dvorak
Modified: 2009-12-14 06:52 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
Screenshots with the new UI for Kenai project details (675.49 KB, application/x-compressed)
2009-08-28 19:20 UTC, Petr Dvorak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-07-23 12:38:10 UTC
It would be nice to be able to open some project's details page with "dynamic content", such as:

- project details
- recent forum posts
- recent changes in the sources
- links to web
- ...
Comment 1 Petr Dvorak 2009-07-23 12:39:20 UTC
(in other words, allow finding out "what is new" on Kenai project)
Comment 2 Jan Becicka 2009-08-06 07:47:33 UTC
This is details page in embedded browser, right?
Comment 3 Petr Dvorak 2009-08-06 10:05:05 UTC
... the problem is that the page is now under user's control - he/she can customize it... Therefore there is not any
fixed content...
Comment 4 Tomas Pavek 2009-08-06 11:59:01 UTC
Is it a new feature on Kenai? The user now can customize the main project page so it does not show project info, forum 
posts, etc?
Comment 6 Ondrej Langr 2009-08-19 12:14:26 UTC
Joshis, will you please take a look at it? 
Comment 7 Petr Dvorak 2009-08-23 18:13:42 UTC
OK, I have already started with this. When you click the "Details" link in the Dashboard, a special editor area
component opens (there is only one instance, projects are always loaded in this one). There is some basic project info
(image, display name and description), links to web (wiki, website and downloads) and a tab view - currently, there is
only one tab with things related to "communication".

I will have a look at the recent changesets, etc.
Comment 8 Petr Dvorak 2009-08-28 19:19:35 UTC
Fixed.

Ondro, could you please quickly review the screenshots (see below) and give me your comments/suggestions?

Marian, the same for you;)...
Comment 9 Petr Dvorak 2009-08-28 19:20:23 UTC
Created attachment 86801 [details]
Screenshots with the new UI for Kenai project details
Comment 10 Ondrej Langr 2009-09-03 13:39:44 UTC
Looks good!

Few minor comments: 

1) What data can the "Testing" tab potentially contain? It seems there's only issue tracking. Why not to call it "Issue
tracking" then? Testing does not seem to have direct connection to issue tracking for small Kenai projects. 

2) Similarly to commit history, forums and others, it'd be nice to present the list of recent issues in the "Project
Issues section". 

3) In "Project Issues" we should be consistent in terminology:Create a new report -> Report a new issue

4) I suggest switching the order of "Project Issues" sections .. first offer the option of finding/creating an issue and
at the end present the URL address of the repository. We primarily want to drive people towards the standard IDE means
of working with the issue repository, which (as of now) is the in-build functionality.

Reopening for discussion (closed issues do not tend to get much attention), but don't see this as if I was unsatisfied
with the solution. It looks great and is a huge step forward. If you feel the 4 points should not be addressed, feel
free to explain why and close again. Thanks!
Comment 11 Petr Dvorak 2009-09-03 15:22:50 UTC
Thanks, Ondra...

1) Fixed - my initial feeling was that the tab names should be rather abstract - originally, I had "Communicate", "Test"
and "Develop" (verbs) but then I found this a bit weird (which it was) so I changed this to nouns... 

2) I agree but I write the code against Issue tracking API that currently allows me to access only "recent issues"
(those that were opened in IDE once). I will add those in the design (and will implement persistence later, after
someone complains that it should be there)... Maybe I could add the UI to execute queries (All Issues, etc.)... But I
think this will have to wait a little -> I will drop this at the moment... :(

3) Fixed

4) Yeah, well... why not... Fixed...

http://hg.netbeans.org/cdev/rev/30be0ba9cb78
Comment 12 Quality Engineering 2009-09-07 09:57:45 UTC
Integrated into 'main-golden', will be available in build *200909041634* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/30be0ba9cb78
User: joshis@netbeans.org
Log: #169033 - Minor fixed in bundles and UI
Comment 13 Petr Dvorak 2009-11-05 10:00:16 UTC
OK - I think this is as far as we can get for 68, I am closing this issue, please open new ones with specific
requirements and reassign them to me.